{
  title:       "GUI components",
  description: "Graphical interface controls",
  version:     "1.1.1",
  dependencies: ["fcfStyles"],
  public: [
    { relativeUrl: "css", path: "css" },
    { relativeUrl: "templates",  path: "templates"  },
    { path: "NEvents"  },
  ],
  aliases: {
    "controls:base-control":         "fcfControls:templates/base-control.tmpl",
    "controls:boolean":              "fcfControls:templates/boolean.tmpl",
    "controls:button":               "fcfControls:templates/button.tmpl",
    "controls:checkbox":             "fcfControls:templates/checkbox.tmpl",
    "controls:datetime":             "fcfControls:templates/datetime.tmpl",
    "controls:datetime-edit":        "fcfControls:templates/datetime-edit.tmpl",
    "controls:default-view":         "fcfControls:templates/default-view.tmpl",
    "controls:dialog":               "fcfControls:templates/dialog.tmpl",
    "controls:empty":                "fcfControls:templates/empty.tmpl",
    "controls:enum-item":            "fcfControls:templates/enum-item.tmpl",
    "controls:file":                 "fcfControls:templates/file.tmpl",
    "controls:file-edit":            "fcfControls:templates/file-edit.tmpl",
    "controls:float-edit":           "fcfControls:templates/float-edit.tmpl",
    "controls:form":                 "fcfControls:templates/form.tmpl",
    "controls:int-edit":             "fcfControls:templates/int-edit.tmpl",
    "controls:language-selector":    "fcfControls:templates/language-selector.tmpl",
    "controls:link":                 "fcfControls:templates/link.tmpl",
    "controls:list":                 "fcfControls:templates/list.tmpl",
    "controls:menu":                 "fcfControls:templates/menu.tmpl",
    "controls:multiselect":          "fcfControls:templates/multiselect.tmpl",
    "controls:navigator":            "fcfControls:templates/navigator.tmpl",
    "controls:pagination":           "fcfControls:templates/pagination.tmpl",
    "controls:password":             "fcfControls:templates/password.tmpl",
    "controls:radio":                "fcfControls:templates/radio.tmpl",
    "controls:select":               "fcfControls:templates/select.tmpl",
    "controls:simplebutton":         "fcfControls:templates/simplebutton.tmpl",
    "controls:step-navigator":       "fcfControls:templates/step-navigator.tmpl",
    "controls:table":                "fcfControls:templates/table.tmpl",
    "controls:tabs":                 "fcfControls:templates/tabs.tmpl",
    "controls:text":                 "fcfControls:templates/text.tmpl",
    "controls:text-edit":            "fcfControls:templates/text-edit.tmpl",
    "controls:textarea":             "fcfControls:templates/textarea.tmpl",
    "controls:two-level-menu":       "fcfControls:templates/two-level-menu.tmpl",
    "controls:vertical-tabs":        "fcfControls:templates/vertical-tabs.tmpl",
    "controls:view":                 "fcfControls:templates/view.tmpl",
  },
  usageViews:{
    "boolean": {
      "read.*": { template: "@controls:boolean" },
      "edit.*": { template: "@controls:checkbox" },
      "add.*":  { template: "@controls:checkbox" },
    },
    "datetime": {
      "read.*": { template: "@controls:datetime" },
      "edit.*": { template: "@controls:datetime-edit" },
      "add.*":  { template: "@controls:datetime-edit" },
    },
    "enum": {
      "read.*": { template: "@controls:enum-item" },
      "edit.*": { template: "@controls:select" },
      "add.*":  { template: "@controls:select" },
    },
    "file": {
      "read.*": { template: "@controls:file" },
      "edit.*": { template: "@controls:file-edit" },
      "add.*":  { template: "@controls:file-edit" },
    },
    "float": {
      "read.*": { template: "@controls:text" },
      "edit.*": { template: "@controls:float-edit" },
      "add.*":  { template: "@controls:float-edit" },
    },
    "int": {
      "read.*": { template: "@controls:text" },
      "edit.*": { template: "@controls:int-edit" },
      "add.*":  { template: "@controls:int-edit" },
    },
    "link": {
      "read.*": { template: "@controls:link" },
      "edit.*": { template: "@controls:text-edit" },
      "add.*":  { template: "@controls:text-edit" },
    },
    "string": {
      "read.*": { template: "@controls:text" },
      "edit.*": { template: "@controls:text-edit" },
      "add.*":  { template: "@controls:text-edit" },
    },
    "text": {
      "read.*": { template: "@controls:text" },
      "edit.*": { template: "@controls:textarea" },
      "add.*":  { template: "@controls:textarea" },
    },
    "password": {
      "read.*": { template: "@controls:empty" },
      "edit.*": { template: "@controls:password" },
      "add.*":  { template: "@controls:password" },
    },
  },
  html: {
    include: {
      "fcfControls:css": "fcfControls:css/controls.css",
    }
  },
}
